> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update company

> Update an existing company by its ID.



## OpenAPI

````yaml /api-reference/openapi.json put /api/rest/companies/{id}
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/companies/{id}:
    put:
      tags:
        - Companies
      summary: Update company
      description: Update an existing company by its ID.
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
        - description: _"id" is required (enter it either in parameters or request body)_
          in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: false
                  title: String
                  type: string
                input:
                  $ref: '#/components/schemas/CompaniesSetInput'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  updateCompany:
                    description: >-
                      Companies table - stores all company entities with their
                      branding, contact info, and MC numbers. Each tenant can
                      have multiple companies for different divisions or legal
                      entities.
                    nullable: true
                    properties:
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      deletedAt:
                        $ref: '#/components/schemas/timestamptz'
                      dunsNumber:
                        nullable: true
                        title: String
                        type: string
                      id:
                        nullable: false
                        title: String
                        type: string
                      logoUrl:
                        nullable: true
                        title: String
                        type: string
                      mcNumber:
                        nullable: true
                        title: String
                        type: string
                      name:
                        nullable: false
                        title: String
                        type: string
                      primaryEmailAddress:
                        nullable: true
                        title: String
                        type: string
                      primaryPhone:
                        nullable: true
                        title: String
                        type: string
                      sourceSystem:
                        nullable: true
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: true
                        title: String
                        type: string
                      termsOfService:
                        nullable: true
                        title: String
                        type: string
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                      website:
                        nullable: true
                        title: String
                        type: string
                    title: Companies
                    type: object
          description: Responses for PUT /api/rest/companies/{id}
components:
  schemas:
    CompaniesSetInput:
      description: input type for updating data in table "companies"
      nullable: false
      properties:
        createdAt:
          $ref: '#/components/schemas/timestamptz'
        deletedAt:
          $ref: '#/components/schemas/timestamptz'
        dunsNumber:
          nullable: true
          title: String
          type: string
        id:
          nullable: true
          title: String
          type: string
        logoUrl:
          nullable: true
          title: String
          type: string
        mcNumber:
          nullable: true
          title: String
          type: string
        name:
          nullable: true
          title: String
          type: string
        primaryEmailAddress:
          nullable: true
          title: String
          type: string
        primaryPhone:
          nullable: true
          title: String
          type: string
        sourceSystem:
          nullable: true
          title: String
          type: string
        sourceSystemId:
          nullable: true
          title: String
          type: string
        sourceSystemMeta:
          $ref: '#/components/schemas/jsonb'
        termsOfService:
          nullable: true
          title: String
          type: string
        updatedAt:
          $ref: '#/components/schemas/timestamptz'
        website:
          nullable: true
          title: String
          type: string
      title: CompaniesSetInput
      type: object
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    jsonb:
      nullable: false
      title: jsonb

````